# ProjectConfigurationOperationResult

interface ProjectConfigurationOperationResult : OperationResult

Describes the result of running a project configuration operation.

#### Since

5.1

#### Inheritors

ProjectConfigurationSuccessResult
ProjectConfigurationFailureResult

## Types

PluginApplicationResult
Link copied to clipboard
interface PluginApplicationResult
Describes the result of applying a plugin.

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getPluginApplicationResults
Link copied to clipboard
abstract fun getPluginApplicationResults(): List<out ProjectConfigurationOperationResult.PluginApplicationResult>
Returns the results of plugins applied as part of the configuration of this project.
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long